      PROGRAM no_pass
      IMPLICIT NONE
      INTEGER x
      x = 10                            ! local variable name x defined in main program
      CALL add_one
      WRITE(*,*) x
      END
C
      SUBROUTINE add_one
*     variable name x not passed
      IMPLICIT NONE
      INTEGER x
      x = x + 1                         ! local variable name defined in subroutine
      END
